org.apache.ignite.internal.processors.rest.request

## Enum RestQueryRequest.QueryType

- java.lang.Object
- - java.lang.Enum<RestQueryRequest.QueryType>
  - - org.apache.ignite.internal.processors.rest.request.RestQueryRequest.QueryType

All Implemented Interfaces:
  Serializable, Comparable<RestQueryRequest.QueryType>

Enclosing class:
  RestQueryRequest

    public static enum RestQueryRequest.QueryType
    extends Enum<RestQueryRequest.QueryType>

Supported query types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SCAN` Scan query.
`SQL` Sql query.
`SQL_FIELDS` Sql fields query.

### Method Summary

Methods
`static RestQueryRequest.QueryType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RestQueryRequest.QueryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SQL

    public static final RestQueryRequest.QueryType SQL

Sql query.

#### SQL_FIELDS

    public static final RestQueryRequest.QueryType SQL_FIELDS

Sql fields query.

#### SCAN

    public static final RestQueryRequest.QueryType SCAN

Scan query.

### Method Detail

#### values

    public static RestQueryRequest.QueryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RestQueryRequest.QueryType c : RestQueryRequest.QueryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RestQueryRequest.QueryType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015